Description

At the moment iss not possible to auto create user's from issue emails based on their email adress with ldap Authentication mode.

In our case the user's email shall be optionally tested (if ldap is used) if available on ldap and  if yes corresponding ldap

Authentication mode be set. This mus be an addiotional switch for the

RedmineReceivingEmails task

Related issues:

Has duplicate Redmine - Defect #11045: automatic user creation via "redmine:e... Closed

History

#1 - 2012-05-29 20:22 - Jean-Philippe Lang

We should note that this wouldn't be compatible with #1913.

#2 - 2012-05-29 21:43 - Terence Mill

Why its not?

Jean-Philippe Lang wrote:

We should note that this wouldn't be compatible with #1913.

#3 - 2012-05-30 00:02 - Jean-Philippe Lang

Because we can't bind with user's credentials when looking for the user in the LDAP. All we've got is his email address, not his password.

#4 - 2012-05-30 17:33 - Terence Mill

Ah i see. We Don' use this binding, cause our ldap is open or we cann access via server-server cert or user/pwd.

This two parameters shall elimate each other.

I would suggest to settle this switch also at the ldap config and make checkbox for this switch dependent on checkbox of ldap binding #1913.

#5 - 2019-02-10 01:43 - Go MAEDA

- Category set to Email receiving
